| Cantera 3.0.0

Loading...
Searching...
No Matches
Namespaces | Functions
CVodesIntegrator.cpp File Reference
`#include "cantera/numerics/CVodesIntegrator.h"`
`#include "cantera/base/stringUtils.h"`
`#include <iostream>`
`#include "cantera/numerics/sundials_headers.h"`
Include dependency graph for CVodesIntegrator.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
static int | cvodes_rhs (realtype t, N_Vector y, N_Vector ydot, void *f_data)
| Function called by cvodes to evaluate ydot given y.
static void | cvodes_err (int error_code, const char *module, const char *function, char *msg, void *eh_data)
| Function called by CVodes when an error is encountered instead of writing to stdout.
static int | cvodes_prec_setup (realtype t, N_Vector y, N_Vector ydot, booleantype jok, booleantype *jcurPtr, realtype gamma, void *f_data)
static int | cvodes_prec_solve (realtype t, N_Vector y, N_Vector ydot, N_Vector r, N_Vector z, realtype gamma, realtype delta, int lr, void *f_data)